- job:
    name: tcwg-abe-extended
    project-type: matrix
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            everyone-flat:
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 30
            num-to-keep: 30
    parameters:
        - string:
            name: abe_branch
            default: refs/remotes/origin/master
            description: 'ABE revision to test'
        - string:
            name: scripts_branch
            default: refs/remotes/origin/master
            description: 'scripts branch to use'
        - string:
            name: distro
            default: 'default'
            description: 'Distro image to use'
        - string:
            name: test_list
            default: 'cross_linux_build_check_gcc cross_bare_build_check_gcc cross_qemu_build_check_gcc native_build_check_gcc abe-testsuite abe-tests-arm-linux-gnueabihf abe-tests-arm-none-eabi abe-tests-aarch64-linux-gnu abe-tests-aarch64_be-elf abe-tests-checkout'
            description: 'List of tests to perform'
        - bool:
            name: dryrun
            default: false
            description: 'Dry-run, do nothing, just print steps'
    disabled: false
    node: tcwg-coordinator
    retry-count: 3
    concurrent: true
    display-name: 'TCWG BBB ABE extended tests'
    workspace: workspace/tcwg-abe-extended_$EXECUTOR_NUMBER
    child-workspace: .
    scm:
        - git:
            url: https://gitlab.com/Linaro/tcwg/abe.git
            refspec: +refs/heads/*:refs/remotes/origin/* +refs/changes/*:refs/changes/*
            branches:
                - ${abe_branch}
            skip-tag: true
            wipe-workspace: true
        - git:
            url: https://gitlab.com/LinaroLtd/tcwg/jenkins-scripts.git
            refspec: +refs/heads/*:refs/remotes/origin/* +refs/changes/*:refs/changes/*
            branches:
                - ${scripts_branch}
            basedir: jenkins-scripts
            skip-tag: true
            shallow-clone: true
            wipe-workspace: true
    axes:
        - axis:
            type: slave
            name: label
            values:
                - tcwg-x86_64-build
        - axis:
            type: dynamic
            name: testname
            values:
                - test_list
    execution-strategy:
        sequential: false
    wrappers:
        - timeout:
            timeout: 600
        - timestamps
        - ssh-agent-credentials:
            # tcwg-buildslave user id
            users:
                - 'e0958a95-204f-4c14-a66c-5e2be6c5d50a'
        - build-name:
            name: '#${BUILD_NUMBER}'
    builders:
        - shell:
            !include-raw: tcwg-abe-extended/builders.sh
    publishers:
        - email-ext:
            recipients: 'tcwg-validation@linaro.org'
            aborted: true
